Subject: RE: Failure in Subtract

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 12 Mar 2001 12:04:15 -0500

But this should not be an issue.  First of all, no command should ever be
"lost".  The retransmission mechanisms and the lack of reply would alert the
MGC of the situation.  Secondly, I believe there
is no situation where a termination is in a context, and a command that
simply subtracts it,
with no options, should cause an error.
 
Brian

-----Original Message-----
From: Madhu Babu Brahmanapally [mailto:[email-masked]]
Sent: Monday, March 12, 2001 11:56 AM
To: 'Chuong Nguyen'; 'megaco'
Subject: RE: Failure in Subtract

Hi Choung,list.
We are testing the MG and MGC using UDP and with very high data traffics.
Its only a coincidence that Subtract message was lost couple of times ...
and the termination become useless. ServiceChange may not be the solution
but definitely one of way to get out from any such problems. 
 
Best Regards
Madhubabu

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Chuong Nguyen
Sent: Monday, March 12, 2001 10:58 AM
To: megaco
Subject: Re: Failure in Subtract

Interesting problem. 

But Madhubabu, you keep referring to using ServiceChange to take the
termination in/out of 
service to correct the problem. 

Unless I missed another change in the Standard, ServiceChange can't be used
to implicitly 
subtract a termination from a context and put it back in the NULL context. 
So taking the termination out/in service does not fix whatever was the
problem in the 
subtract. 

Can you be more specific in how a subtract would fail? 

Thanks 
Chuong 

Madhu Babu Brahmanapally wrote: 

Hi Brian,list, 
This Means the termination cannot be added to any other new context. (Leave 
that the call will not be charged since the stats are not received by MGC ).

How about reusing the termination for other calls?? The MGC probably need to

move the termination if any new call is received for that termination. If 
the MG is a residential gateway and the user needs to initiate a call I 
think again the MGC cannot add this termination in any new context? I think 
there should be some guidelines for the MGC in such scenarios to invoke 
ServiceChange for removal of the termination from service and then another 
ServiceChange to bring it back to service. 

Best Regards 
Madhubabu 

-----Original Message----- 
From: Rosen, Brian [ mailto:[email-masked]
<mailto:[email-masked]> ] 
Sent: Monday, March 12, 2001 9:34 AM 
To: 'Madhu Babu Brahmanapally'; [email-masked] 
Subject: RE: Failure in Subtract 

If the command fails, then the termination remains in the 
context it was in before the command was executed. 

Brian 

> -----Original Message----- 
> From: Madhu Babu Brahmanapally [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> Sent: Saturday, March 10, 2001 5:25 PM 
> To: [email-masked] 
> Subject: Failure in Subtract 
> 
> 
> HI all, 
> If the MG fails to process Subtract message and returns an 
> error message, is 
> there any way where the Termination can be brought back to 
> NULL context for 
> further usage. Or does the MGC needs to generate servicechange to that 
> termination and then restart the same??? 
> Best Regards 
> Madhubabu 
>

-- 

  Alcatel USA, Inc             Internet: [email-masked]

  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613

  **** The opinions expressed are not those of Alcatel USA, Inc ****